read.spike {CALIB} | R Documentation

## Read SpikeList from a RGList_CALIB and Concentration files

### Description

Reads a SpikeList from a given RGList_CALIB object and user specified concentration files

### Usage

    read.spike(RG, file = NULL, path = NULL, ext = NULL, sep = "\t", conccol,
               regexpcol, different = FALSE, ...)

### Arguments

`RG` | a `RGList_CALIB` object.
`file` | character string giving the name of the concentration file.
`path` | character string giving the directory containing the file. Can be omitted if the file is in the current working directory.
`ext` | character string giving optional extension to be added to each file name.
`sep` | field separator character.
`conccol` | list with fields `RConc`, `GConc` giving the column names to be used for red and green concentration in the concentration file.
`regexpcol` | character vector giving regular expressions in the concentration file.
`different` | a logical value. `TRUE` means that different arrays use different spikes. So every array should have one concentration file. `FALSE` means that different arrays use the same spike and only one concentration file is needed. Default is `FALSE`.
`...` | any other arguments are passed to `read.table`.

### Details

This is the function to generate SpikeList in the CALIB package. SpikeList contains all the information for the spikes. This function exacts foreground and background intensities and spot area from RGList_CALIB, which is generated from funtion `read.rg`. Also this funtion reads concentrations for each spike from a user-specified concentration file (or more than one concentration files if different arrays use different spikes).

For the concentration file, it should contain the following columns: regular expression, red and green concentrations and spike type. Spike type should be in the set of `Calibration`,
`Ratio` and `Negative`.

See the CALIB User's Guide for the example of this function.

### Value

An `SpikeList` object containing the components

`R` | matrix containing the red channel foreground intensities for each spot for each array.
`G` | matrix containing the green channel foreground intensities for each spot for each array.
`Rb` | matrix containing the red channel background intensities for each spike for each array.
`Gb` | matrix containing the green channel background intensities for each spike for each array.
`RArea` | matrix containing the red spot area for each spike for each array.
`GArea` | matrix containing the green spot area for each spike for each array.
`RConc` | matrix containing the red concentration for each spike for each array.
`GConc` | matrix containing the green concentration for each spike for each array.
`genes` | data frame containing annotation information about the probes, for example, spike types and IDs and spatial positions on the array

### Author(s)

Hui Zhao

### References

~put references to the literature/web site here ~

[Package CALIB version 1.10.0 Index]